I'm on 4.2.6 is it too late for me to upgrade and JB?

Discussion in 'Jailbreaks and iOS Hacks' started by mo25, Aug 19, 2011.

  1. mo25 macrumors member

    Joined:
    Feb 1, 2011
    #1
    I'm having serious issues with Cydia. I keep getting errors like "the following signatures were invalid" or I get some "size mismatch" error. I dunno what's causing this problems but I'm guessing my verision of ios is too outdated.

    So since I'm on 4.2.6 and never upgraded since I got my iPhone is it too late for me to upgrade to another version and jailbreak again?

    I'm having a bunch of other issues too like my phone keeps crashing and just becomes totally unresponsive, I think I just really need a format and fresh install.
     
  2. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #2
    if you don't have shsh blobs saved either cydia or tinyumbrella you would have to go to the latest signed firmware, I think it's 4.2.8 for Verizon it would be a tethered JB. it's really not as big as a deal as people make it out to be.
     

Share This Page